port: 8317

# 文件夹位置请根据你的实际情况填写
auth-dir: "/app/auths"

# 不可用授权文件目录（失败的授权文件会被自动移动到这里）
unava-dir: "/app/auths-unavailable"

# 自动移除授权文件的状态码（当请求或刷新失败返回这些状态码时，自动移动文件到 unava-dir）
# 推荐配置: 401(未授权), 403(禁止访问), 404(未找到)
# 不推荐: 429(配额超限，通常是临时的)
auto-remove-status-codes:
  - 401  # 未授权 - token 失效
  - 403  # 禁止访问 - 账号被封禁
  - 404  # 未找到 - 模型不存在或账号不存在

request-retry: 3

quota-exceeded:
  switch-project: true
  switch-preview-model: true

api-keys:
  # Key请自行设置，用于客户端访问代理
  - "mixapi147258"

# 关键词替换（流式和非流式响应均生效，支持热重载）
keyword-replace-enabled: true
keyword-replace:
  "OpenAI": "Anthropic"
  "openai": "Anthropic"
  "ChatGPT": "Claude"
  "chatgpt": "Claude"
  "gpt-4o": "opus 4.6"
  "gpt-4.1-mini": "claude opus 4.6"
  "gpt-4.1": "sonnet 4.6"
  "o4-mini": "claude sonnet 4.6"
  "GPT-5": "Claude"
  "gpt-5.4": "Model"
  "gpt-5": "Model"
  "gpt": ""

# 模型映射（客户端请求的模型名 → 实际后端模型名，支持热重载）
model-mapping:
  "claude-sonnet-4-6": "gpt-5.4"
  "claude-sonnet-4-6-c": "gpt-5.4"
  "claude-sonnet-4-5-20250929": "gpt-5.4"
  "claude-sonnet-4-20250514": "gpt-5.4"
  "claude-opus-4-5": "gpt-5.4"
  "claude-opus-4-5-c": "gpt-5.4"
  "claude-opus-4-5-20251101": "gpt-5.4"
  "claude-opus-4-5-20251101-c": "gpt-5.4"
  "claude-opus-4-6": "gpt-5.4"
  "claude-opus-4-6-c": "gpt-5.4"

remote-management:
  secret-key: "$2a$10$BAeX6h/Ole0wLcJ6SiiRHOTS7vYkwEhL5H2bES7MbO2FNIrbzAyge"
  allow-remote: true
  disable-control-panel: false
  panel-github-repository: "./static"
  #panel-dist-path: "./static"


